import dayjs from 'dayjs';
export function range(min, max) {
  var result = [];

  for (var i = min; i <= max; i++) {
    result.push(i);
  }

  return result;
}
export function rangeOptions(min, max, suffix) {
  return range(min, max).map(function (it) {
    return {
      label: "".concat(it).concat(suffix || ''),
      value: it
    };
  });
}
export function rangeMonthOptions(start, end, suffix) {
  start = dayjs(start);
  end = dayjs(end);
  var endOfMonth = end.endOf('month');
  var startOfMonth = start.startOf('month');
  var ret = rangeOptions(1, 12, suffix);

  if (!end.subtract(1, 'year').isAfter(start)) {
    ret = [];

    do {
      var m = +dayjs(startOfMonth).format('M');
      ret.push({
        label: "".concat(m).concat(suffix || ''),
        value: m
      });
      startOfMonth = dayjs(startOfMonth).add(1, 'month');
    } while (startOfMonth.isBefore(endOfMonth) && ret.length < 12);
  }

  return ret;
}
export function resetMonth(d) {
  d.setDate(1);
  d.setMonth(0);
}
export function resetTime(d) {
  d.setHours(0);
  d.setMinutes(0);
  d.setSeconds(0);
  d.setMilliseconds(0);
}